package es.rickyepoderi.samples.utils;

import java.util.Properties;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public class EjbUtils {

    public static InitialContext createContext() throws NamingException {
        final Properties jndiProperties = new Properties();
        jndiProperties.put(Context.URL_PKG_PREFIXES, "org.jboss.ejb.client.naming");
        return new InitialContext(jndiProperties);
    }

    public static String getCounterBeanName() {
        return "ejb:/stateful-ejb-wildfly/CounterBean!es.rickyepoderi.samples.ejb.RemoteCounter?stateful";
    }

}
